Search Results

Search results 1-6 of 6.

  • RE: PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    Ist noch nicht getestet, laut der PHP 7 Doku dürfte es auch diverse Probleme geben.

  • RE: PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    PHP7 ist auf jeden Fall ein interessantes Thema, aber auf dem Raspberry Pi nicht unmittelbar verwndbar. Was aber absulut schlecht gemacht ist, das alte Funktionen in ihren Ausgaben verändert wurden was die umstellung auf PHP 7 schwer macht und richtig hässliche Logikfehler verursachen kann.

  • PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    Das ist richtig, daran habe ich noch gar nicht wieder gedacht. Das werde ich die nächsten Tage mal prüfen. Jetzt ist das auch einfacher da Ubuntu schon PHP 7 mitbringt. Ja, man kann beliebig viele PHP Versionen nebeneinander laufen lassen. Das erfordert aber einen großen Konfigurationsaufwand.

  • PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    Wenn dann nur geringfügig. Die tollen Leistungssteigerungen mit denen PHP 7 beworben wird, kommen nur bei umfangreichen Rechenoperationen zum zug. Das SHC hat aber vorrangig mit Wartezeiten zu kämpfen (vor allem auf CLI Befehle und Netzwerk input).

  • PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    Grundlegend sollte es keine Probleme mit PHP 7 geben, die IDE hat zumindest keine Fehler gefunden. Einen Test mache ich am We mal noch. Bis PHP 7 auf den RPi kommt wird es aber immer noch etwas dauern, ich vermute mal das ein Upgrade erst mit Debian 9 kommt.

  • PHP 7 Kompatibilität

    agent47 - - Sonstiges

    Post

    Ich habe jetzt das SHC für PHP 7 fit gemacht, den Release (als Version 2.2.8) werde ich aber erst durchführen wenn das für den Raspberry Pi Spruchreif wird. Bis dahin lasse ich das auf meinem Pi noch zum Test Laufen. Wen es interessiert was an Änderungen nötig waren, der kann sich auf GitHub den Commit anschauen: Anpassungen für PHP7 · agent4788/SHC_Framework@58a6e9c · GitHub